import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsRunningTarget } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:14
 */
interface MsRunningTargetCU extends ConditionUtil<MsRunningTargetCU> {
    ID: FieldUtil<MsRunningTargetCU>;
    PROJECT_ID: FieldUtil<MsRunningTargetCU>;
    PID: FieldUtil<MsRunningTargetCU>;
    PROJECT_VERSION: FieldUtil<MsRunningTargetCU>;
    PROJECT_VERSION_ID: FieldUtil<MsRunningTargetCU>;
    MS_LOCATION: FieldUtil<MsRunningTargetCU>;
    GATEWAY_URL: FieldUtil<MsRunningTargetCU>;
    CONFIG_REQUIRES: FieldUtil<MsRunningTargetCU>;
    HOST: FieldUtil<MsRunningTargetCU>;
    PORT: FieldUtil<MsRunningTargetCU>;
    WEIGHT: FieldUtil<MsRunningTargetCU>;
    ENV: FieldUtil<MsRunningTargetCU>;
    ENV_CODE: FieldUtil<MsRunningTargetCU>;
    AREA_ID: FieldUtil<MsRunningTargetCU>;
    HEALTH: FieldUtil<MsRunningTargetCU>;
    LAST_ACTIVE_TIME: FieldUtil<MsRunningTargetCU>;
    LAST_POLLING_TIME: FieldUtil<MsRunningTargetCU>;
    DEPLOY_ID: FieldUtil<MsRunningTargetCU>;
    POD_ID: FieldUtil<MsRunningTargetCU>;
    K8S_ID: FieldUtil<MsRunningTargetCU>;
    CREATE_TIME: FieldUtil<MsRunningTargetCU>;
    UPDATE_TIME: FieldUtil<MsRunningTargetCU>;
    STATE: FieldUtil<MsRunningTargetCU>;
}
declare class MsRunningTargetMU extends TableUtilImpl<MsRunningTargetCU, MsRunningTarget> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsRunningTargetCU;
    static get ID(): FieldUtil<MsRunningTargetCU>;
    static get PROJECT_ID(): FieldUtil<MsRunningTargetCU>;
    static get PID(): FieldUtil<MsRunningTargetCU>;
    static get PROJECT_VERSION(): FieldUtil<MsRunningTargetCU>;
    static get PROJECT_VERSION_ID(): FieldUtil<MsRunningTargetCU>;
    static get MS_LOCATION(): FieldUtil<MsRunningTargetCU>;
    static get GATEWAY_URL(): FieldUtil<MsRunningTargetCU>;
    static get CONFIG_REQUIRES(): FieldUtil<MsRunningTargetCU>;
    static get HOST(): FieldUtil<MsRunningTargetCU>;
    static get PORT(): FieldUtil<MsRunningTargetCU>;
    static get WEIGHT(): FieldUtil<MsRunningTargetCU>;
    static get ENV(): FieldUtil<MsRunningTargetCU>;
    static get ENV_CODE(): FieldUtil<MsRunningTargetCU>;
    static get AREA_ID(): FieldUtil<MsRunningTargetCU>;
    static get HEALTH(): FieldUtil<MsRunningTargetCU>;
    static get LAST_ACTIVE_TIME(): FieldUtil<MsRunningTargetCU>;
    static get LAST_POLLING_TIME(): FieldUtil<MsRunningTargetCU>;
    static get DEPLOY_ID(): FieldUtil<MsRunningTargetCU>;
    static get POD_ID(): FieldUtil<MsRunningTargetCU>;
    static get K8S_ID(): FieldUtil<MsRunningTargetCU>;
    static get CREATE_TIME(): FieldUtil<MsRunningTargetCU>;
    static get UPDATE_TIME(): FieldUtil<MsRunningTargetCU>;
    static get STATE(): FieldUtil<MsRunningTargetCU>;
    get ID(): FieldUtil<MsRunningTargetCU>;
    get PROJECT_ID(): FieldUtil<MsRunningTargetCU>;
    get PID(): FieldUtil<MsRunningTargetCU>;
    get PROJECT_VERSION(): FieldUtil<MsRunningTargetCU>;
    get PROJECT_VERSION_ID(): FieldUtil<MsRunningTargetCU>;
    get MS_LOCATION(): FieldUtil<MsRunningTargetCU>;
    get GATEWAY_URL(): FieldUtil<MsRunningTargetCU>;
    get CONFIG_REQUIRES(): FieldUtil<MsRunningTargetCU>;
    get HOST(): FieldUtil<MsRunningTargetCU>;
    get PORT(): FieldUtil<MsRunningTargetCU>;
    get WEIGHT(): FieldUtil<MsRunningTargetCU>;
    get ENV(): FieldUtil<MsRunningTargetCU>;
    get ENV_CODE(): FieldUtil<MsRunningTargetCU>;
    get AREA_ID(): FieldUtil<MsRunningTargetCU>;
    get HEALTH(): FieldUtil<MsRunningTargetCU>;
    get LAST_ACTIVE_TIME(): FieldUtil<MsRunningTargetCU>;
    get LAST_POLLING_TIME(): FieldUtil<MsRunningTargetCU>;
    get DEPLOY_ID(): FieldUtil<MsRunningTargetCU>;
    get POD_ID(): FieldUtil<MsRunningTargetCU>;
    get K8S_ID(): FieldUtil<MsRunningTargetCU>;
    get CREATE_TIME(): FieldUtil<MsRunningTargetCU>;
    get UPDATE_TIME(): FieldUtil<MsRunningTargetCU>;
    get STATE(): FieldUtil<MsRunningTargetCU>;
}
export { MsRunningTargetMU, MsRunningTargetCU };
